Bug 1031737

Summary: CVE-2013-6629 CVE-2013-6630 libjpeg-turbo: various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: libjpeg-turboAssignee: Petr Hracek <phracek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 19CC: phracek
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libjpeg-turbo-1.2.90-3.fc19 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-23 22:42:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 1031734, 1031749    

Description Vincent Danen 2013-11-18 11:33:39 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-11-18 11:33:47 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1031734,1031737
Comment 2 Vincent Danen 2013-11-18 12:06:25 EST
Adding parent bug 1031749 (for CVE-2013-6630).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1031737,1031734
Comment 3 Vincent Danen 2013-11-26 12:02:00 EST
CVE-2013-6630 does not actually affect libjpeg-turbo in Fedora; see https://bugzilla.redhat.com/show_bug.cgi?id=1031749#c10 for the details.  Removing CVE-2013-6630 references from this bug.
Comment 4 Vincent Danen 2013-11-27 10:25:20 EST
Sorry for the confusion, CVE-2013-6630 does affect libjpeg-turbo in Fedora after all.
Comment 5 Fedora Update System 2013-12-19 10:10:04 EST
libjpeg-turbo-1.3.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libjpeg-turbo-1.3.0-2.fc20
Comment 6 Petr Hracek 2013-12-19 10:12:58 EST
scm-commit (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20131216/1161751.html) switched to MODIFIED
Comment 7 Fedora Update System 2013-12-19 10:18:59 EST
libjpeg-turbo-1.2.90-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libjpeg-turbo-1.2.90-3.fc19
Comment 8 Fedora Update System 2013-12-20 21:22:10 EST
Package libjpeg-turbo-1.2.90-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libjpeg-turbo-1.2.90-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23722/libjpeg-turbo-1.2.90-3.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-23 22:42:07 EST
libjpeg-turbo-1.3.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-01-10 02:56:49 EST
libjpeg-turbo-1.2.90-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.